package com.winhc.bigdata.spark.ng.monitor

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/6/29 14:29
 */
abstract class AbstractDailyHandle() extends CompanyMonitorHandleV2 {
  override def filter: (String, String, Seq[String], Map[String, String], Map[String, String]) => Boolean = (update_type: String, biz_date: String, change_fields: Seq[String], old_data: Map[String, String], new_data: Map[String, String]) => {
    CompanyMonitorUtils.default_filter(update_type, biz_date, change_fields, old_data, new_data)
  }

  def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo]

  override def flat_map: (ChangeExtract) => Seq[CompanyMonitorRecord] = (change_extract: ChangeExtract) => {
    val new_data = change_extract.new_data
    var list: mutable.Seq[CompanyMonitorRecord] = mutable.Seq.empty
    list = list :+ getCompanyMonitorRecord(change_extract, getEntityInfo(new_data))
    list
  }

}
