package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._

/**
 * @Date: 2020/8/12 18:50
 * @Description: 新增商标信息
 */
case class company_tm(is_inc: Boolean) extends AbstractDailyHandle {

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    Seq(EntityInfo(keyno = new_data.getOrEmptyStr("keyno"), name = new_data.getOrEmptyStr("applicant_cn"), type_id = "16"))
  }

}
