package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}

/**
 * @Date: 2020/8/12 18:50
 * @Description: 新增破产公告
 */
case class bankruptcy_open_case(is_inc: Boolean) extends AbstractDailyHandle {

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    getEntity(new_data("respondent_info"), id_key = "litigant_id", name_key = "name", "1")
  }
}
