package com.winhc.bigdata.spark.ng.monitor.table

import com.winhc.bigdata.spark.ng.monitor.{AbstractDailyHandle, EntityInfo}
import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.utils.BaseUtil

/**
 * @Date: 2020/12/14
 * @Description: 注册资本上升-增资记录
 */
case class increase_registered_capital_info(is_inc: Boolean) extends AbstractDailyHandle {

  override protected def get_money(new_map: Map[String, String]): Double = {
    BaseUtil.amt_div(processMoney(new_map("content_after")), "1")
  }

  override def getEntityInfo(new_data: Map[String, String]): Seq[EntityInfo] = {
    Seq(EntityInfo(keyno = new_data.getOrEmptyStr("company_id"), name = new_data.getOrEmptyStr("company_name"),type_id = "2"))
  }
}
